In [129]: Clock.bpm=144;

In [130]: Root.default =- 1;

In [131]: Scale.default="minor"

In [132]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=.5)
Out[132]: <b1 - nylon>

In [133]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=1)
Out[133]: <b1 - nylon>

In [134]: cp >> play("* ")
Out[134]: <cp - play2>

In [135]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=1, shape=PWhite(
     ...: 0,.5))
Out[135]: <b1 - nylon>

In [136]: d3 >> play(" |=9|", dur=.5, chop=.25)
Out[136]: <d3 - play2>

In [137]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=1, shape=PWhite(
     ...: 0,.5), pan=PWhite(-1,1))
Out[137]: <b1 - nylon>

In [138]: d4 >> play("|%4| ", dur=1)
Out[138]: <d4 - play2>

In [139]: d2 >> play("|A0|", dur=1)
Out[139]: <d2 - play2>

In [140]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=1, shape=PWhite(
     ...: 0,.5), pan=PWhite(-1,1)) + var([0,2],4)
Out[140]: <b1 - nylon>

In [141]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=1, shape=PWhite(
     ...: 0,.5), pan=PWhite(-1,1)).sometimes("offadd", 4) + var(
     ...: [0,2],4)
Out[141]: <b1 - nylon>

In [142]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=.8, shape=PWhite
     ...: (0,.5), pan=PWhite(-1,1)).sometimes("offadd", 4) + var
     ...: ([0,2],4)
Out[142]: <b1 - nylon>

In [143]: ~b1 >> nylon(dur=PDur(5,8), sus=2, amp=.8, shape=PWhit
     ...: e(0,.5), pan=PWhite(-1,1)).sometimes("offadd", 4) + va
     ...: r([0,2],4)
Out[143]: <b1 - nylon>

In [144]: ~b1 >> nylon(dur=PDur(5,8), sus=2, amp=.6, shape=PWhit
     ...: e(0,.5), pan=PWhite(-1,1)).sometimes("offadd", 4) + va
     ...: r([0,2],4)
Out[144]: <b1 - nylon>

In [145]: d2 >> play(P["|A0|::"][:16] & P["<|B3| ><  |@3| >"])
Out[145]: <d2 - play2>

In [146]: ~d2 >> play(P["|A0|::"][:16] & P["<|B3| ><  |@3| >"])
Out[146]: <d2 - play2>

In [147]: ~b1 >> nylon(dur=PDur(5,8), sus=2, amp=.4, shape=PWhit
     ...: e(0,.5), pan=PWhite(-1,1)).sometimes("offadd", 4) + va
     ...: r([0,2],4)
Out[147]: <b1 - nylon>

In [148]: p1 >> pulse()
Out[148]: <p1 - pulse>

In [149]: ~p1 >> pulse(dur=PDur(5,8))
Out[149]: <p1 - pulse>

In [150]: ~p1 >> pulse(dur=PDur(5,8), amp=1.2, sus=.5)
Out[150]: <p1 - pulse>

In [151]: ~p1 >> pulse(dur=PDur(5,8), amp=1.2, sus=.5, oct=6)
Out[151]: <p1 - pulse>

In [152]: ~p1 >> pulse(dur=PDur(5,8), amp=1.5, sus=.5, oct=6)
Out[152]: <p1 - pulse>

In [153]: ~b1 >> nylon(dur=PDur(5,8), sus=2, amp=.3, shape=PWhit
     ...: e(0,.5), pan=PWhite(-1,1)).sometimes("offadd", 4) + va
     ...: r([0,2],4)
Out[153]: <b1 - nylon>

In [154]: ~p1 >> pulse(var([0,2,.5]), dur=PDur(5,8), amp=1.5, su
     ...: s=.5, oct=6)
Out[154]: <p1 - pulse>

In [155]: ~p1 >> pulse(var([0,2,.5]), dur=PDur(5,8), amp=1.5, su
     ...: s=.25, oct=6)
Out[155]: <p1 - pulse>

In [156]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), dur=PDur(5,8),
     ...: amp=1.5, sus=.25, oct=6)
Out[156]: <p1 - pulse>

In [157]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), dur=PDur(5,8),
     ...: amp=1.5, sus=.25, oct=6, pan=[-1,1])
Out[157]: <p1 - pulse>

In [158]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), dur=PDur(5,8),
     ...: amp=1.5, sus=.25, oct=6, pan=[-1,1]).every(4, "dur.shu
     ...: ffle")
Out[158]: <p1 - pulse>

In [159]: ~d2 >> play(P["|A0|::"][:16] & P["<|B3| ><  |@3| >"],
     ...: amp=.7)
Out[159]: <d2 - play2>

In [160]: ~b1 >> nylon(dur=PDur(5,8), sus=2, oct=4, amp=.3, shap
     ...: e=PWhite(0,.5), pan=PWhite(-1,1)).sometimes("offadd",
     ...: 4) + var([0,2],4)
Out[160]: <b1 - nylon>

In [161]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(5,8), amp=1.5, sus=.25, oct=6, pan=[-1,1]).every(4,
     ...: "dur.shuffle")
Out[161]: <p1 - pulse>

In [162]: ~b1 >> nylon(dur=PDur(5,8), sus=2, oct=4, chop=4, amp=
     ...: .3, shape=PWhite(0,.5), pan=PWhite(-1,1)).sometimes("o
     ...: ffadd", 4) + var([0,2],4)
Out[162]: <b1 - nylon>

In [163]: ~b1 >> nylon(dur=PDur(5,8), sus=2, oct=5, chop=4, amp=
     ...: .3, shape=PWhite(0,.5), pan=PWhite(-1,1)).sometimes("o
     ...: ffadd", 4) + var([0,2],4)
Out[163]: <b1 - nylon>

In [164]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(7,8), amp=1.5, sus=.25, oct=6, pan=[-1,1]).every(4,
     ...: "dur.shuffle")
Out[164]: <p1 - pulse>

In [165]: ~b1 >> nylon(dur=PDur(5,8), sus=2, oct=5, chop=2, amp=
     ...: .3, shape=PWhite(0,.5), pan=PWhite(-1,1)).sometimes("o
     ...: ffadd", 4) + var([0,2],4)
Out[165]: <b1 - nylon>

In [166]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(7,8)|2, amp=1.5, sus=.25, oct=[6,7], pan=[-1,1]).eve
     ...: ry(4, "dur.shuffle")
Out[166]: <p1 - pulse>

In [167]: ~b1 >> nylon(dur=PDur(5,8), sus=1, oct=5, chop=2, amp=
     ...: .3, shape=PWhite(0,.5), pan=PWhite(-1,1)).sometimes("o
     ...: ffadd", 4) + var([0,2],4)
Out[167]: <b1 - nylon>

In [168]: ~d2 >> play(P["|A0|::"][:16] & P["<|B3| ><  |@3| >"],
     ...: drive=.1, rate=1.2, amp=.7)
Out[168]: <d2 - play2>

In [169]: ~b1 >> dirt(dur=PDur(5,8), sus=1, oct=5, chop=2, amp=.
     ...: 3, shape=PWhite(0,.5), pan=PWhite(-1,1)).sometimes("of
     ...: fadd", 4) + var([0,2],4)
Out[169]: <b1 - dirt>

In [170]: ~b1 >> dirt([0,0,.5], dur=PDur(5,8), sus=1, oct=5, cho
     ...: p=2, amp=.3, shape=PWhite(0,.5), pan=PWhite(-1,1)).som
     ...: etimes("offadd", 4) + var([0,2],4)
Out[170]: <b1 - dirt>

In [171]: ~b1 >> dirt([0,0,.5], dur=PDur(5,8), sus=1, oct=5, cho
     ...: p=2, amp=.3, shape=PWhite(0,.5), pan=PWhite(-1,1)).spr
     ...: ead()
Out[171]: <b1 - dirt>

In [172]: ~b1 >> dirt([0,0,.5], dur=PDur(5,8), sus=1, oct=5, cho
     ...: p=2,drive=.5, formant=1, amp=.3, pan=PWhite(-1,1)).spr
     ...: ead()
Out[172]: <b1 - dirt>

In [173]: ~b1 >> dirt([0,0,.5], dur=PDur(5,8), sus=1, oct=5, cho
     ...: p=2,drive=.5, formant=1, amp=.3, room=.2, pan=PWhite(-
     ...: 1,1)).spread()
Out[173]: <b1 - dirt>

In [174]: b2 >> nylon(dur=PDur(5,8), formant=PRand(8)[:8], rate=
     ...: PRand(5,10)[:8])
Out[174]: <b2 - nylon>

In [175]: ~b1 >> dirt([0,0,.5], dur=PDur(5,8), sus=1, oct=5, cho
     ...: p=2,drive=.5, formant=1, amp=.2, room=.2, pan=PWhite(-
     ...: 1,1)).spread()
Out[175]: <b1 - dirt>

In [176]: d3 >> play(" |=9|", dur=.5, chop=.25, amp=.7)
Out[176]: <d3 - play2>

In [177]: d4 >> play("|%4| ", dur=1, amp=.7)
Out[177]: <d4 - play2>

In [178]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(7,8)*(1,2), amp=1.5, sus=.25, oct=[6,7], pan=[-1,1])
     ...: .every(4, "dur.shuffle")
Out[178]: <p1 - pulse>

In [179]: b2 >> nylon(dur=PDur(5,8), formant=PRand(8)[:8], rate=
     ...: PRand(5,10)[:8], pan=[-1,1])
Out[179]: <b2 - nylon>

In [180]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(7,8)*(1,2), amp=1.5, sus=.25, oct=[6,7,5], pan=[-1,1
     ...: ]).every(4, "dur.shuffle")
Out[180]: <p1 - pulse>

In [181]: ~b1 >> dirt([0,0,.5], dur=PDur(7,8), sus=1, oct=5, cho
     ...: p=2,drive=.5, formant=1, amp=.2, room=.2, pan=PWhite(-
     ...: 1,1)).spread()
Out[181]: <b1 - dirt>

In [182]: ~b1 >> dirt([0,0,.5], dur=PDur(3,8), sus=1, oct=5, cho
     ...: p=2,drive=.5, formant=1, amp=.2, room=.2, pan=PWhite(-
     ...: 1,1)).spread()
Out[182]: <b1 - dirt>

In [183]: ~b1 >> dirt([0,0,.5], dur=PDur(3,8), sus=1, oct=5, cho
     ...: p=4,drive=.5, formant=1, amp=.2, room=.2, pan=PWhite(-
     ...: 1,1)).spread()
Out[183]: <b1 - dirt>

In [184]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(5,8)*(1,2), amp=1.5, sus=.25, oct=[6,7,5], pan=[-1,1
     ...: ]).every(4, "dur.shuffle")
Out[184]: <p1 - pulse>

In [185]: b3 >> pulse()
Out[185]: <b3 - pulse>

In [186]: b3 >> pulse(var([0,5,2,[3,6]]))
Out[186]: <b3 - pulse>

In [187]: b3 >> pulse(var([0,5,2,[3,6]]), sus=.25)
Out[187]: <b3 - pulse>

In [188]: b3 >> pulse(var([0,5,2,[3,6]], [8,6,2,1]), sus=.25)
Out[188]: <b3 - pulse>

In [189]: b3 >> pulse(var([0,5,2,[3,6]],[8,6,2,1]), sus=.5)
Out[189]: <b3 - pulse>

In [190]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=1, dur=PDu
     ...: r(7,8), amp=1.5, sus=.25, oct=[6,7,5], pan=[-1,1]).eve
     ...: ry(4, "dur.shuffle")
Out[190]: <p1 - pulse>

In [191]: ~b1 >> dirt([0,0,.5], dur=PDur(3,8), sus=1, oct=5, cho
     ...: p=2,drive=.5, formant=1, amp=.2, room=.2, pan=PWhite(-
     ...: 1,1)).spread()
Out[191]: <b1 - dirt>

In [192]: ~d2 >> play(P["|A0|::"][:16] & P["<|B3| ><  |@3| >"],
     ...: drive=.1, rate=1.2, amp=.7)
Out[192]: <d2 - play2>

In [193]: d3 >> play(" |=9|", dur=.5, chop=.25, amp=.7)
Out[193]: <d3 - play2>

In [194]: d4 >> play("|%4| ", dur=1, amp=.7)
Out[194]: <d4 - play2>

In [195]: d5 >> play("<|x1||l(12)|><  *( =)>", formant=0) #es un
     ...:  pescadito!
Out[195]: <d5 - play2>

In [196]: d5 >> play("<|x1||l(12)|><  *( =)>", formant=0).every(
     ...: 14.5, "jump", cycle=16)
Out[196]: <d5 - play2>

In [197]: d5 >> play("<|x1||l(12)|><  *( =)>", sample=2, formant
     ...: =0).every(14.5, "jump", cycle=16)
Out[197]: <d5 - play2>

In [198]: b3 >> pulse(var([0,5,2,[3,6]],[8,6,2,1]), sus=.5, dur=
     ...: PDur(5,8)*(1,2))
Out[198]: <b3 - pulse>

In [199]: b3 >> pulse(var([0,5,2,[3,6]],[8,6,2,1]), sus=.25, dur
     ...: =PDur(5,8)*(1,2))
Out[199]: <b3 - pulse>

In [200]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=2, dur=PDu
     ...: r(7,8), amp=1.5, sus=.25, oct=[6,7,5], pan=[-1,1]).eve
     ...: ry(4, "dur.shuffle")
Out[200]: <p1 - pulse>

In [201]: ~p1 >> pulse(var([0,2,.5], [3,.5,.5]), chop=2, dur=PDu
     ...: r(5,8), amp=1.5, sus=.25, oct=[6,7,5], pan=[-1,1]).eve
     ...: ry(4, "dur.shuffle")
Out[201]: <p1 - pulse>

In [202]: f1 >> blip(var(P[2:10]), amp=2, dur=PDur(3,8), oct=6)
Out[202]: <f1 - blip>

In [203]: f1 >> blip(var(P[2:10]), amp=2, dur=PDur(3,8), oct=6).
     ...: penta()
Out[203]: <f1 - blip>

In [204]: p1.stop()
Out[204]: <p1 - pulse>

In [205]: ~b2 >> nylon(([3,4,5,4],7,[9,9,9]), dur=2, spin=8, tre
     ...: molo=4, room=1, amp=2)
Out[205]: <b2 - nylon>

In [206]: ~b2 >> nylon(([3,4,5,4],7,[9,9,9]), dur=2, spin=8, tre
     ...: molo=4, room=1, amp=1)
Out[206]: <b2 - nylon>

In [207]: ~b3 >> pulse(P[1,0,1,0,1,0,0,1,2,0], sus=.5, dur=PDur(
     ...: 5,8)*4)
Out[207]: <b3 - pulse>

In [208]: ~b3 >> pulse(P[1,0,1,0,1,0,0,1,2,0], amp=1.5, sus=.5,
     ...: dur=PDur(5,8)*4)
Out[208]: <b3 - pulse>

In [209]: ~d2 >> play(P["|A0|::"][:16] & P["<|B3| ><  |@3| >"],
     ...: drive=.1, rate=1.2, amp=.7).stop()
Out[209]: <d2 - play2>

In [210]: ~b3 >> pulse(P[1,0,1,0,1,0,0,1,2,0], amp=1.5, sus=.5,
     ...: dur=PDur(5,8)*4).sometimes("offadd", 4) + var([0,2], [
     ...: PRand([0,2,4])])
Out[210]: <b3 - pulse>

In [211]: cp >> play("* ").stop()
Out[211]: <cp - play2>

In [212]: d4 >> play("|%4| ", dur=1, amp=.7).stop()
Out[212]: <d4 - play2>

In [213]: ~b3 >> pulse(P[1,0,1,0,1,0,0,1,2,0], oct=7, amp=1.5, s
     ...: us=.5, dur=PDur(5,8)*4).sometimes("offadd", 4) + var([
     ...: 0,2], [PRand([0,2,4])])
Out[213]: <b3 - pulse>

In [214]: d3 >> play(" |=9|", dur=.5, chop=.25, amp=.7).stop()
Out[214]: <d3 - play2>

In [215]: b1.stop()
Out[215]: <b1 - dirt>

In [216]: Clock.clear()
