Scale.default="minor"

Clock.bpm=140

c1 >> play("@", dur=1/4, sample=P[:8].rotate([0,1,3]), rate=4, pan=-0.5)

c2 >> play("#", dur=40, room=1, amp=2, pan=0.5)

d1 >> play("<V:><  * ><[--]>")

b1 >> dbass(dur=PDur(3,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

p1 >> space([7,6,4,P*(2,1),0], dur=8, pan=(-1,1))

Master().hpf=var([0,4000],[76,4])

p1 >> space([7,6,4,P*(2,1),0], dur=4, pan=(-1,1))

~dk >> sinepad([0], chop=.5, dur=.25, oct=4, root=2, amp=[2,2,2,0])

~dk >> sinepad([0], chop=.5, dur=.25, oct=5, root=2, amp=[2,2,2,0])

~dk >> sinepad([0], chop=.5, dur=.25, oct=4, root=2, amp=[2,2,2,0])

~tt >> play("t", echo=var([0, .25], [64, 32]), echotime=[.5, .75], rate=[var([1.25, .75],8), 1.1, .6, 1, 1, .75], dur=[.25, .25, .5], amp=.
5)

~tt >> play("t", echo=var([0, .25], [64, 32]), echotime=[.5, .75], rate=[var([1.25, .75],8), 1.1, .6, 1, 1, .75], dur=[.25, .25, .5], amp=.
7)

c2 >> play("#", dur=40, room=1, amp=2, pan=0.5).stop()

p1 >> space([7,6,4,P*(2,1),0], dur=2, pan=(-1,1))

b1 >> dbass(dur=PDur(5,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

p1 >> soprano([7,6,4,P*(2,1),0], dur=2, pan=(-1,1))

b1 >> jbass(dur=PDur(5,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

b1 >> jbass(dur=PDur(5,8), sus=1, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, dur=2, pan=(-1,1))

p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, chop=8, dur=2, pan=(-1,1))

p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, oct=4, chop=8, dur=2, pan=(-1,1))

b1 >> nylon(dur=PDur(5,8), sus=1, amp=.3, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

b1 >> nylon(dur=PDur(5,8), sus=1, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

b1 >> nylon(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

b1 >> nylon(dur=PDur(5,8), sus=2, amp=.4, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

p1 >> blip([0,1,2,3], amplify=var([1,0],[28,4]))

vk >> charm(dur=PDur(5,9), oct=(4,5), rate=[0,1,2,2,1,0], hpf=var([100,0]))

p1 >> sinepad(amp=linvar([.9,2]), dur=PDur(3,8)*(1,2), sus=var([2,6]), hpf=linvar([122, 4000]), chop=8)

b1 >> nylon(dur=PDur(5,8), sus=2, amp=.3, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

b1 >> dirt(dur=PDur(5,8), sus=2, amp=.3, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

c1 >> play("@", dur=1/4, sample=P[:8].rotate([0,1,3]), rate=4, pan=-0.5).stop()

b1 >> dirt(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

b1 >> dirt(dur=PDur(7,8), sus=1, amp=.5, chop=2, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)

p2 >> dbass(dur=PDur(5,9), oct=[3,5,4], amp=.4)

~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), sus=.5).every(6.5, "jump", cycle=8).slider()

~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), sus=.5).every(6.5, "jump", cycle=8).slider().stop()

b1 >> dirt([0,0,0.5], dur=PDur(3,8), sus=1, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()

b2 >> bell(var(P[2:10]), dur=2/3, oct=6, pan=[-1,1]).penta()

b2 >> bell(var(P[2:10]), amp=.4, dur=2/3, oct=6, pan=[-1,1]).penta()

p1 >> pasha(var([0,2,0.5],[3,1/2,1/2]), dur=PDur(5,8), oct=6, sus=2, pan=PWhite(-1,1)).every(4, "dur.shuffle")

c1 >> play("#", rate=-1/2, hpf=1000, dur=4, amp=4, room=1, coarse=16).spread()

d1 >> play("+", dur=PDur(3,8,[0,2]), amp=2, sample=3).sometimes("rate.offadd", 1)

d2 >> play("nN", dur=1/4, sample=PRand(5, seed=1)[:16], pan=PWhite(-1,1), rate=PRand(1,5))

c2 >> play("#", dur=40, room=1, amp=2, pan=0.5)

d1 >> play("<V:><  * ><[--]>")

d1 >> play("+", dur=PDur(3,8,[0,2]), amp=2, sample=3).sometimes("rate.offadd", 1)

d3 >> play("<|x1||l(21)|><  *( =)>", formant=0, sample=2).every(14.5, "jump", cycle=16)

d4 >> play("<[--]>< +( +)[ +]>")


d_all.stop()


c1 >> play("#", rate=-1/2, hpf=1000, dur=4, amp=4, room=1, coarse=16).spread().stop()

p1 >> pasha(var([0,2,0.5],[3,1/2,1/2]), dur=PDur(5,8), oct=6, sus=2, pan=PWhite(-1,1)).every(4, "dur.shuffle").stop()

b1 >> dirt([0,0,0.5], dur=PDur(3,8), sus=1, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread().stop()


b2 >> bell(var(P[2:10]), amp=.4, dur=2/3, oct=6, pan=[-1,1]).penta().solo()


c2 >> play("#", dur=40, room=1, amp=2, pan=0.5)


Clock.clear()
