In [1]: from FoxDot import *

In [2]: Scale.default = Scale.minorPentatonic

In [3]: Root.default = "A"

In [4]: Clock.bpm = 140

In [5]: p1 >> space([7,6,4,P*(2,1),0], dur=8, pan=(-1,1))
Out[5]: <p1 - space>

In [6]: ~tt >> play("t", echo=var([0, .25], [64, 32]), echotime=[.5, .75], rate=[var([1.25, .75],8), 1.1, .6, 1, 1, .75], dur=[.25, .25, .5], amp=.7)
Out[6]: <tt - play2>

In [7]: ~tt >> play("t", echo=var([0, .25], [64, 32]), echotime=[.5, .75], rate=[var([1.25, .75],8), 1.1, .6, 1, 1, .75], dur=[.25, .25, .5], amp=1)
Out[7]: <tt - play2>

In [8]: p1 >> space([7,6,4,P*(2,1),0], dur=2, pan=(-1,1))
Out[8]: <p1 - space>

In [9]: ~tt >> play("t", echo=var([0, .25], [64, 32]), echotime=[.5, .75], rate=[var([1.25, .75],8), 1.1, .6, 1, 1, .75], dur=[.25, .25, .5], amp=.7)
Out[9]: <tt - play2>

In [10]: b1 >> dbass(dur=PDur(5,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[10]: <b1 - dbass>

In [11]: d1 >> play("<V:><  * ><[--]>")
Out[11]: <d1 - play2>

In [12]: p1.stop()
Out[12]: <p1 - space>

In [13]: ~tt >> play("t", echo=var([0, .25], [64, 32]), echotime=[.5, .75], rate=[var([1.25, .75],8), 1.1, .6, 1, 1, .75], dur=[.25, .25, .5], amp=.7).stop()
Out[13]: <tt - play2>

In [14]: p1 >> soprano([7,6,4,P*(2,1),0], dur=2, pan=(-1,1))
Out[14]: <p1 - soprano>

In [15]: p1.stop()
Out[15]: <p1 - soprano>

In [16]: ~b1 >> jbass(dur=PDur(5,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[16]: <b1 - jbass>

In [17]: p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, chop=8, dur=2, pan=(-1,1))
Out[17]: <p1 - soprano>

In [18]: ~p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, oct=4, chop=8, dur=2, pan=(-1,1))
Out[18]: <p1 - soprano>

In [19]: ~p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, chop=8, dur=2, pan=(-1,1))
Out[19]: <p1 - soprano>

In [20]: p1 >> soprano([7,6,4,P*(2,1),0], amp=.7, oct=4, chop=8, dur=2, pan=(-1,1))
Out[20]: <p1 - soprano>

In [21]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[21]: <b1 - nylon>

In [22]: ~dk >> sinepad([0], chop=.5, dur=.25, oct=5, root=2, amp=[.75,.75,.75,0])
Out[22]: <dk - sinepad>

In [23]: ~dk >> sinepad([0], chop=.5, dur=.25, oct=5, root=2, amp=[.75,.75,.75,0]).stop()
Out[23]: <dk - sinepad>

In [24]: ~b1 >> jbass(dur=PDur(5,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[24]: <b1 - jbass>

In [25]: p1.stop()
Out[25]: <p1 - soprano>

In [26]: ~b1 >> jbass(dur=PDur(3,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[26]: <b1 - jbass>

In [27]: ~b1 >> jbass(dur=PDur(7,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[27]: <b1 - jbass>

In [28]: d1 >> play("<V:><  * ><[--]>", amp=.8)
Out[28]: <d1 - play2>

In [29]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[29]: <b1 - nylon>

In [30]: b1 >> nylon(dur=PDur(3,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[30]: <b1 - nylon>

In [31]: vk >> charm(dur=PDur(5,9), oct=(4,5), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[31]: <vk - charm>

In [32]: b1 >> nylon(dur=PDur(7,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[32]: <b1 - nylon>

In [33]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[33]: <b1 - nylon>

In [34]: vk >> charm(dur=PDur(3,9), oct=(3,6), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[34]: <vk - charm>

In [35]: vk >> charm(dur=PDur(3,9), oct=(5,6), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[35]: <vk - charm>

In [36]: vk >> charm(dur=PDur(3,9), oct=(3,6), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[36]: <vk - charm>

In [37]: vk >> charm(dur=PDur(7,9), oct=(3,6), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[37]: <vk - charm>

In [38]: vk >> charm(dur=PDur(3,9), oct=(3,6), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[38]: <vk - charm>

In [39]: p1 >> sinepad(amp=linvar([.9,1.2]), dur=PDur(3,8)*(1,2), sus=var([2,6]), hpf=linvar([122, 4000]), chop=8)
Out[39]: <p1 - sinepad>

In [40]: b1 >> nylon(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[40]: <b1 - nylon>

In [41]: b1 >> nylon(dur=PDur(5,8), sus=2, oct=3, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[41]: <b1 - nylon>

In [42]: b1 >> nylon(dur=PDur(5,8), sus=1, oct=3, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[42]: <b1 - nylon>

In [43]: vk >> charm(dur=PDur(3,9), oct=(3,6), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[43]: <vk - charm>

In [44]: ~vk >> charm(dur=PDur(3,9), oct=(3,4), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[44]: <vk - charm>

In [45]: ~p1 >> sinepad(amp=linvar([.9,2]), dur=PDur(5,8), sus=var([1,6]), hpf=linvar([122, 4000]), chop=8)
Out[45]: <p1 - sinepad>

In [46]: b1 >> dirt(dur=PDur(5,8), sus=2, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[46]: <b1 - dirt>

In [47]: ~vk >> charm(dur=PDur(3,9), oct=(3,4), rate=[0,1,2,2,1,0], hpf=var([100,0])).stop()
Out[47]: <vk - charm>

In [48]: b1 >> dirt(dur=PDur(5,8), sus=2, amp=.7, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[48]: <b1 - dirt>

In [49]: ~p1 >> sinepad(amp=linvar([.9,2]), dur=PDur(7,8), sus=var([1,6]), hpf=linvar([122, 4000]), chop=8)
Out[49]: <p1 - sinepad>

In [50]: b1 >> dirt(dur=PDur(5,8), sus=2, amp=.5, chop=4, oct=5, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[50]: <b1 - dirt>

In [51]: b1 >> dirt(dur=PDur(5,8), sus=2, amp=.5, chop=4, oct=3, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[51]: <b1 - dirt>

In [52]: b1 >> dirt(dur=PDur(7,8), sus=1, amp=.5, chop=4, oct=3, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[52]: <b1 - dirt>

In [53]: b1 >> dirt(dur=PDur(7,8), sus=1, amp=.5, chop=4, oct=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[53]: <b1 - dirt>

In [54]: ~p1 >> sinepad(amp=linvar([.9,2]), dur=PDur(3,8), sus=var([1,6]), hpf=linvar([122, 4000]), chop=8)
Out[54]: <p1 - sinepad>

In [55]: p2 >> dbass(dur=PDur(5,9), oct=[3,5,4], amp=.4)
Out[55]: <p2 - dbass>

In [56]: p1 >> blip([0,1,2,3], amplify=var([1,0],[28,4]))
Out[56]: <p1 - blip>

In [57]: p1.stop()
Out[57]: <p1 - blip>

In [58]: p1 >> blip([0,1,2,3], amplify=var([1,0],[28,4]))
Out[58]: <p1 - blip>

In [59]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), sus=.5).every(6.5, "jump", cycle=8).slider()
Out[59]: <p3 - blip>

In [60]: b1 >> dirt(dur=PDur(7,8)*(1,2), sus=1, amp=.5, chop=4, oct=5, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[60]: <b1 - dirt>

In [61]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,6,5), sus=.5).every(6.5, "jump", cycle=8).slider()
Out[61]: <p3 - blip>

In [62]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,2), sus=.5).every(6.5, "jump", cycle=8)
Out[62]: <p3 - blip>

In [63]: c1 >> play("#", rate=-1/2, hpf=1000, dur=4, amp=4, room=1, coarse=16).spread()
Out[63]: <c1 - play2>

In [64]: c1 >> play("#", rate=-1/2, hpf=1000, dur=4, amp=4, room=1, coarse=16).stop()
Out[64]: <c1 - play2>

In [65]: d1 >> play("+", dur=PDur(3,8,[0,2]), amp=1, sample=3).sometimes("rate.offadd", 1)
Out[65]: <d1 - play2>

In [66]: d2 >> play("nN", dur=1/4, sample=PRand(5, seed=1)[:16], pan=PWhite(-1,1), rate=PRand(1,5))
Out[66]: <d2 - play2>

In [67]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), sus=.75).every(6.5, "jump", cycle=8).slider()
Out[67]: <p3 - blip>

In [68]: d3 >> play("<|x1||l(21)|><  *( =)>", formant=0, sample=2).every(14.5, "jump", cycle=16)
Out[68]: <d3 - play2>

In [69]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), amp=.7, sus=.75).every(6.5, "jump", cycle=8).slider()
Out[69]: <p3 - blip>

In [70]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), amp=.7, sus=.25).every(6.5, "jump", cycle=8).slider()
Out[70]: <p3 - blip>

In [71]: ~b1 >> dirt(dur=PDur(7,8), sus=1, amp=.5, chop=2, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[71]: <b1 - dirt>

In [72]: ~b1 >> dirt(dur=PDur(7,8), sus=1, amp=.5, chop=2, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[72]: <b1 - dirt>

In [73]: b1 >> nylon(dur=PDur(5,8), sus=1, oct=3, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[73]: <b1 - nylon>

In [74]: p1.stop()
Out[74]: <p1 - blip>

In [75]: c1 >> play("#", rate=-1/2, hpf=1000, dur=4, amp=4, room=1, coarse=16)
Out[75]: <c1 - play2>

In [76]: c1 >> play("#", rate=-1/2, hpf=1000, dur=4, amp=4, room=1, coarse=16).stop()
Out[76]: <c1 - play2>

In [77]: ~b1 >> jbass(dur=PDur(7,8), sus=2, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[77]: <b1 - jbass>

In [78]: b1 >> nylon(dur=PDur(5,8), sus=1, oct=3, amp=.5, chop=4, shape=PWhite(0,1/2), pan=PWhite(-1,1)).sometimes("offadd", 4) + var([0,2],4)
Out[78]: <b1 - nylon>

In [79]: ~vk >> charm(dur=PDur(3,9), oct=(3,4), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[79]: <vk - charm>

In [80]: ~vk >> charm(dur=PDur(5,9), oct=(3,4), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[80]: <vk - charm>

In [81]: ~vk >> charm(dur=PDur(5,8), oct=(3,4), rate=[0,1,2,2,1,0], hpf=var([100,0]))
Out[81]: <vk - charm>

In [82]: ~vk >> charm(dur=PDur(3,9), oct=(3,4), rate=[0,1,2,2,1,0], hpf=var([100,0])).stop()
Out[82]: <vk - charm>

In [83]: p1 >> sinepad(amp=linvar([.9,1.2]), dur=PDur(5,8)*(1,2), sus=var([2,6]), hpf=linvar([122, 4000]), chop=8)
Out[83]: <p1 - sinepad>

In [84]: d4 >> play("<[--]>< +( +)[ +]>")
Out[84]: <d4 - play2>

In [85]: ~p3 >> blip(P[0,2,4,6,8,10], oct=(3,5,4), amp=.7, sus=.25).every(6.5, "jump", cycle=8).slider().stop()
Out[85]: <p3 - blip>

In [86]: d4 >> play("<[--]>< +( +)[ +]>").stop()
Out[86]: <d4 - play2>

In [87]: b2 >> bell(var(P[2:10]), dur=2/3, oct=6, pan=[-1,1]).penta()
Out[87]: <b2 - bell>

In [88]: b2 >> bell(var(P[2:10]), dur=2/3, amp=.7, oct=6, pan=[-1,1]).penta()
Out[88]: <b2 - bell>

In [89]: b2 >> bell(var(P[2:10]), dur=2/3, amp=.5, oct=6, pan=[-1,1]).penta()
Out[89]: <b2 - bell>

In [90]: p1.stop()
Out[90]: <p1 - sinepad>

In [91]: ~b1 >> dirt([0,0,0.5], dur=PDur(3,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[91]: <b1 - dirt>

In [92]: ~b1 >> dirt([0,0,0.5], dur=PDur(1,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[92]: <b1 - dirt>

In [93]: ~b1 >> dirt([0,0,0.5], dur=PDur(5,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[93]: <b1 - dirt>

In [94]: ~b1 >> dirt([0,0,0.5], dur=PDur(2,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[94]: <b1 - dirt>

In [95]: b2 >> bell(var(P[2:10]), amp=.3, dur=2/3, oct=6, pan=[-1,1]).penta()
Out[95]: <b2 - bell>

In [96]: ~b1 >> dirt([0,0,0.5], dur=PDur(3,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[96]: <b1 - dirt>

In [97]: ~b1 >> dirt([0,0,0.5], dur=PDur(1,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[97]: <b1 - dirt>

In [98]: ~b1 >> dirt([0,0,0.5], dur=PDur(2,8), sus=1, amp=.5, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread()
Out[98]: <b1 - dirt>

In [99]: b1 >> dirt([0,0,0.5], dur=PDur(3,8), sus=1, chop=2, drive=0.5, formant=1, oct=(5), room=0.2).spread().stop()
Out[99]: <b1 - dirt>

In [100]: d_all.stop()

In [101]: b2 >> bell(var(P[2:10]), amp=.3, dur=2/3, oct=6, pan=[-1,1]).penta().solo()
Out[101]: <b2 - bell>

In [102]: Clock.clear()

