In [4]: Scale.default = Scale.minorPentatonic

In [5]: Root.default = "A"

In [6]: Clock.bpm = 140

In [7]: p2 >> dbass(dur=.5, oct=4, amp=.7)
Out[7]: <p2 - dbass>

In [8]: p1 >> pulse([0,1,2,3], amplify=var([1,0], [28,4]), sus=.5
   ...: )
Out[8]: <p1 - pulse>

In [9]: x1 >> play("V ", dur=.5, amp=.8)
Out[9]: <x1 - play2>

In [10]: x2>> play(" |n2|", dur=.5, amp=.8)
Out[10]: <x2 - play2>

In [11]: x3 >> play(" |*1|", dur=1, amp=.8)
Out[11]: <x3 - play2>

In [12]: p2 >> dbass(dur=.5, oct=4, amp=.7)
Out[12]: <p2 - dbass>

In [13]: ~p1 >> pulse([0,1,2,3], amplify=1, sus=.5)
Out[13]: <p1 - pulse>

In [14]: p1 >> pulse([0,1,2,3], sus=.5, chop=2)
Out[14]: <p1 - pulse>

In [15]: p3 >> pulse(oct=4, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=.5)
Out[15]: <p3 - pulse>

In [16]: p3 >> pulse(oct=3, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=.5)
Out[16]: <p3 - pulse>

In [17]: p2 >> dbass(dur=[.5,1,.5,.5], oct=4, amp=.7)
Out[17]: <p2 - dbass>

In [18]: p3 >> pulse(oct=3, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=var([2,6]), hpf=linvar([122,4000]))
Out[18]: <p3 - pulse>

In [19]: p1 >> pulse([0,1,2,3], sus=.5, chop=4)
Out[19]: <p1 - pulse>

In [20]: p3 >> pulse(oct=3, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=var([2,6]), hpf=linvar([122,4000]), chop=4)
Out[20]: <p3 - pulse>

In [21]: p3 >> pulse(oct=3, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[21]: <p3 - pulse>

In [22]: p1 >> pulse(P[0,2,4,6,8,10], sus=.5, chop=4)
Out[22]: <p1 - pulse>

In [23]: p3 >> pulse(oct=3, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=var([2,6]), hpf=linvar([122,4000]), chop=6)
Out[23]: <p3 - pulse>

In [24]: p2 >> dbass(dur=[.5,1,.5,.5], oct=4, amp=.6)
Out[24]: <p2 - dbass>

In [25]: p1 >> pulse(P[0,2,4,6,8,10], sus=.5, chop=4, oct=[4,6])
Out[25]: <p1 - pulse>

In [26]: p1 >> pulse(P[0,2,4,6,8,10], sus=.5, chop=8, oct=[4,6])
Out[26]: <p1 - pulse>

In [27]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 5, chop=8, oct=[4,6])
Out[27]: <p1 - pulse>

In [28]: p3 >> pulse(oct=3, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[28]: <p3 - pulse>

In [29]: p3 >> pulse(oct=2, amp=linvar([.9, 2]), dur=PDur(3,8), s
    ...: us=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[29]: <p3 - pulse>

In [30]: p2 >> dbass(dur=[.5,1,.5,.5], oct=4, amp=.6).slider()
Out[30]: <p2 - dbass>

In [31]: p2 >> dbass(dur=[.5,1,.5,.5], oct=4, amp=.4).slider()
Out[31]: <p2 - dbass>

In [32]: p3 >> pulse(oct=[2,3], amp=linvar([.9, 2]), dur=PDur(3,8
    ...: ), sus=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[32]: <p3 - pulse>

In [33]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 5, chop=12, oct=[4,6])
Out[33]: <p1 - pulse>

In [34]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 5, chop=12, oct=6)
Out[34]: <p1 - pulse>

In [35]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 25, chop=12, oct=6)
Out[35]: <p1 - pulse>

In [36]: p3 >> pulse(oct=[2,3], amp=linvar([.9, 2]), dur=PDur(3,8
    ...: ), sus=var([1,5]), hpf=linvar([122,4000]), chop=8)
Out[36]: <p3 - pulse>

In [37]: p3 >> pulse(oct=[2,3], amp=linvar([.9, 2]), dur=PDur(3,8
    ...: ), sus=var([3,6]), hpf=linvar([122,4000]), chop=8)
Out[37]: <p3 - pulse>

In [38]: p2 >> dbass(dur=PDur(3,8), oct=4, amp=.4).slider()
Out[38]: <p2 - dbass>

In [39]: p3 >> pulse(oct=[2,3], amp=linvar([.9, 2]), dur=PDur(3,8
    ...: ), sus=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[39]: <p3 - pulse>

In [40]: b1 >> dirt(oct=4, dur=PDur(5,6))
Out[40]: <b1 - dirt>

In [41]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 25, chop=8, oct=6).sometimes("stutter")
Out[41]: <p1 - pulse>

In [42]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 25, chop=8, oct=6).sometimes("stutter", 3)
Out[42]: <p1 - pulse>

In [43]: p1 >> pulse(P[0,2,4,6,8,10], slide=linvar([0,.6]), sus=.
    ...: 25, chop=8, oct=6).sometimes("stutter", 4)
Out[43]: <p1 - pulse>

In [44]: za >> zap(PSum(1,2), oct=4, amp=3, dur=PDur(8,8), vib=2,
    ...:  bits=8)
Out[44]: <za - zap>

In [45]: za >> zap(PSum(1,2), oct=4, amp=3, dur=PDur(8,8), vib=2,
    ...:  crush=2)
Out[45]: <za - zap>

In [46]: za >> zap(PSum(1,2), oct=4, amp=3, dur=PDur(8,8), vib=2,
    ...:  crush=4)
Out[46]: <za - zap>

In [47]: za >> zap(PSum(1,2), oct=4, amp=3, dur=PDur(8,8), vib=2,
    ...:  crush=8)
Out[47]: <za - zap>

In [48]: za >> zap(PSum(1,2), oct=[4,4.5], amp=3, dur=PDur(8,8),
    ...: vib=2, crush=8)
Out[48]: <za - zap>

In [49]: za >> zap(PSum(1,2), oct=[4,4.5], amp=3, dur=PDur(7,8),
    ...: vib=2, crush=8)
Out[49]: <za - zap>

In [50]: x3 >> play(" @", dur=1, amp=.8)
Out[50]: <x3 - play2>

In [51]: x3 >> play(" @", dur=.5, amp=.8)
Out[51]: <x3 - play2>

In [52]: x3 >> play(" |*1|", dur=1, amp=.8)
Out[52]: <x3 - play2>

In [53]: za >> zap(PSum(1,2), oct=linvar([4,4.5]), amp=3, dur=PDu
    ...: r(7,8), vib=2, crush=8)
Out[53]: <za - zap>

In [54]: px >> pluck(var([0,3,2,4,1]), pan=[-1,1], dur=[1,.25,.25
    ...: ,.5])
Out[54]: <px - pluck>

In [55]: px >> pluck(var([0,3,2,4,1], 8), pan=[-1,1], dur=[1,.25,
    ...: .25,.5])
Out[55]: <px - pluck>

In [56]: px >> pluck(var([0,3,2,4,1], 8), pan=[-1,1], dur=[1,.25,
    ...: .25,.5]) + (0,2,4)
Out[56]: <px - pluck>

In [57]: px >> pluck(var([0,2,[4,6,7],[3,5,1]], 8), pan=[-1,1], d
    ...: ur=[1,.25,.25,.5]) + (0,2,4)
Out[57]: <px - pluck>

In [58]: px >> pluck(var([0,2,[4,6,7],[3,5,1]], 8), pan=[-1,1], d
    ...: ur=PDur(5,9)) + (0,2,4)
Out[58]: <px - pluck>

In [59]: px >> pluck(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), pan=[
    ...: -1,1], dur=PDur(5,9)) + (0,2,4)
Out[59]: <px - pluck>

In [60]: px >> pluck(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), oct=[
    ...: 4,5], pan=[-1,1], dur=PDur(5,9)) + (0,2,4)
Out[60]: <px - pluck>

In [61]: px >> pluck(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), oct=[
    ...: 4,5], chop=4, pan=[-1,1], dur=PDur(5,9)) + (0,2,4)
Out[61]: <px - pluck>

In [62]: px >> pluck(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), oct=[
    ...: 4,5], chop=2, pan=[-1,1], dur=PDur(5,9)) + (0,2,4)
Out[62]: <px - pluck>

In [63]: x_all.stop()

In [64]: ~p3 >> play("X ", amp=6)
Out[64]: <p3 - play2>

In [65]: ~p2 >> play("<V >< [**] [**]>")
Out[65]: <p2 - play2>

In [66]: ~p3 >> play("X ", amp=.6)
Out[66]: <p3 - play2>

In [67]: ~p2 >> play("[**]")
Out[67]: <p2 - play2>

In [68]: p1.stop()
Out[68]: <p1 - pulse>

In [69]: p2.stop()
Out[69]: <p2 - play2>

In [70]: p3.stop()
Out[70]: <p3 - play2>

In [71]: ~px >> karp(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), oct=[
    ...: 4,5], sus=2, chop=4, pan=[-1,1], dur=PDur(5,9)) + (0,2,4
    ...: )
Out[71]: <px - karp>

In [72]: p1.stop()
Out[72]: <p1 - pulse>

In [73]: p2.stop()
Out[73]: <p2 - play2>

In [74]: p3.stop()
Out[74]: <p3 - play2>

In [75]: ~px >> karp(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), oct=[
    ...: 4,5], sus=2, chop=4, pan=[-1,1], dur=PDur(3,9))
Out[75]: <px - karp>

In [76]: x1 >> play("V ", dur=.5, amp=.8)
Out[76]: <x1 - play2>

In [77]: x2 >> play(" |n2|", dur=.5, amp=.8)
Out[77]: <x2 - play2>

In [78]: x3 >> play(" |*1|", dur=1, amp=.8)
Out[78]: <x3 - play2>

In [79]: ~p3 >> sinepad(oct=[2,3], amp=linvar([.9, 2]), dur=PDur(
    ...: 3,8), sus=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[79]: <p3 - sinepad>

In [80]: ~p3 >> sinepad(amp=linvar([.9, 2]), dur=PDur(3,8)*(1,2),
    ...:  sus=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[80]: <p3 - sinepad>

In [81]: p2 >> dbass(dur=PDur(7,9), oct=[3,5,4], amp=.6)
Out[81]: <p2 - dbass>

In [82]: za >> zap(PSum(1,2), oct=linvar([4,4.5]), amp=3, dur=PDu
    ...: r(7,8)|2, vib=2, crush=8)
Out[82]: <za - zap>

In [83]: ~p3 >> nylon(amp=1.3, dur=PDur(5,8)*(1,2), oct=3, sus=va
    ...: r([2,6]), hpf=linvar([122,4000]), chop=8)
Out[83]: <p3 - nylon>

In [84]: ~p3 >> nylon(amp=1.5, dur=PDur(5,8)*(1,2), oct=3, sus=va
    ...: r([2,6]), hpf=linvar([122,4000]), chop=8)
Out[84]: <p3 - nylon>

In [85]: p2 >> jbass(dur=PDur(7,9), oct=[3,5,4], amp=.6)
Out[85]: <p2 - jbass>

In [86]: ~p3 >> nylon(amp=1.5, dur=PDur(7,8)*(1,2), oct=3, sus=va
    ...: r([2,6]), hpf=linvar([122,4000]), chop=8)
Out[86]: <p3 - nylon>

In [87]: b1 >> dirt(oct=5, dur=PDur(5,6))
Out[87]: <b1 - dirt>

In [88]: za >> zap(PSum(1,2), oct=[4,4.5], amp=3, dur=PDur(7,8)|2
    ...: , vib=2, crush=8)
Out[88]: <za - zap>

In [89]: za >> zap(PSum(1,2), oct=[4,4.5], amp=3, dur=PDur(7,8),
    ...: vib=2, crush=8)
Out[89]: <za - zap>

In [90]: ~px >> karp(var([0,2,[4,6,7],[3,5,1],(4,2,0)], 8), oct=[
    ...: 4,5], sus=2, chop=4, pan=[-1,1], dur=PDur(3,9)).stop()
Out[90]: <px - karp>

In [91]: ~p3 >> nylon(amp=1.5, dur=PDur(7,8)*(1,2), oct=[3,4], su
    ...: s=var([2,6]), hpf=linvar([122,4000]), chop=8)
Out[91]: <p3 - nylon>

In [92]: ~p3 >> nylon(amp=1.5, dur=PDur(7,8)*(1,2), oct=[3,4], su
    ...: s=var([2,6]), hpf=linvar([122,4000]), chop=4)
Out[92]: <p3 - nylon>

In [93]: za >> zap(PSum(1,2), oct=[4,4.5], amp=3, dur=PDur(7,8),
    ...: vib=2, crush=8).stop()
Out[93]: <za - zap>

In [94]: ~p3 >> nylon(amp=1.5, dur=PDur(3,8)*(1,2), oct=[3,4], su
    ...: s=var([2,6]), hpf=linvar([122,4000]), chop=4)
Out[94]: <p3 - nylon>

In [95]: b1 >> dirt(oct=5, dur=PDur(5,8))
Out[95]: <b1 - dirt>

In [96]: ~p3 >> nylon(amp=1.5, dur=PDur(3,8), oct=[3,4], sus=var(
    ...: [2,6]), hpf=linvar([122,4000]), chop=4)
Out[96]: <p3 - nylon>

In [97]: p2 >> jbass(dur=PDur(7,9), oct=[3,5,4], amp=.6).stop()
Out[97]: <p2 - jbass>

In [98]: ~p3 >> nylon(amp=1.5, dur=PDur(3,8), oct=[3,4,5], sus=va
    ...: r([2,6]), hpf=linvar([122,4000]), chop=4)
Out[98]: <p3 - nylon>

In [99]: b1 >> dirt(oct=[6,5], dur=PDur(5,8))
Out[99]: <b1 - dirt>

In [100]: b1 >> dirt(oct=[6,5], dur=PDur(7,8))
Out[100]: <b1 - dirt>

In [101]: ~p3 >> nylon(amp=1.5, dur=PDur(3,8), oct=[3,4,5], sus=v
     ...: ar([2,6]), hpf=linvar([122,4000]), chop=2)
Out[101]: <p3 - nylon>

In [102]: b1 >> dirt(oct=[6,5], dur=PDur(8,8))
Out[102]: <b1 - dirt>

In [103]: x_all.stop()

In [104]: ~p3 >> nylon(amp=1.5, dur=PDur(1,8), oct=[3,4,5], sus=v
     ...: ar([2,6]), hpf=linvar([122,4000]), chop=2)
Out[104]: <p3 - nylon>

In [105]: b1 >> dirt(oct=[6,5], dur=PDur(8,8)).stop()
Out[105]: <b1 - dirt>

In [106]: Clock.clear()

I
